## org.hibernate
Interface CustomEntityDirtinessStrategy.AttributeChecker

Enclosing interface:
  CustomEntityDirtinessStrategy

    public static interface CustomEntityDirtinessStrategy.AttributeChecker

Responsible for identifying when attributes are dirty.

Method Summary
`boolean` `isDirty(CustomEntityDirtinessStrategy.AttributeInformation attributeInformation)` Do the attribute dirty check.

Method Detail

### isDirty

    boolean isDirty(CustomEntityDirtinessStrategy.AttributeInformation attributeInformation)

  Do the attribute dirty check.

  Parameters:
    `attributeInformation` - Information about the attribute which is useful to help determine if it is dirty.
  Returns:
    `true` indicates the attribute value has changed; `false` indicates it has not.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.